bnac is a program for creating virtual museum environments.

bnac is Free Software. See COPYING file for license.

Documentation is a bit lacking right now, and so is the code ;-)

Software requirements
=====================

Library dependencies:
- slf4j >= 1.6
- libvecmath >= 1.5.2

The corresponding JAR files must be either put or symlinked from the directory
`lib'. That is to say, for example,
    $ cd path/to/bnac-common
    $ mkdir lib && cd lib
    $ ln -s /usr/share/java/vecmath.jar

For building:
- ant >= 1.8

(The version constraints are just the ones that the project was built with,
maybe it works with previous versions, maybe not.)

Building instructions
=====================

$ cd path/to/bnac-common
$ ant

That's it ;-)

As this is just a library, the generated JAR is in the `dist' directory.

Testing
=======

There is a test class which right now which tests parsing Meml and Info files.

There is a testing directory called (suitably) `test'. To build, simply call,
    $ ant test

Then call,
    $ java -cp lib/*:build:test/build:test Test ( meml | info ) file.xml

To view logs, JARs for both log4j and the slf4j adapter must be put in the `lib'
directory, the same way as other required JARs. To change logging rules, alter
the file `test/log4j.properties'.

